WhatsApp Flows

WhatsApp Flows

Publish a WhatsApp flow

post

Publishes a WhatsApp flow using the provided flow ID.

Path parameters
whatsappBusinessAccountintegerRequired

The ID of the WhatsApp Business Account

flowIdstringRequired

The ID of the flow to be published

Responses
chevron-right
200

Flow published successfully

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Flow published successfully
dataobjectOptional
post
/api/whatsapp/{whatsappBusinessAccount}/flows/{flowId}/publish

Send an interactive flow message

post

Send an interactive flow message via WhatsApp API.

Body
tostringOptional

Recipient's phone number

flow_idstringOptional

Unique Flow ID provided by WhatsApp

header_textstringOptional

Dynamic text for the header

body_textstringOptional

Dynamic text for the body

footer_textstringOptional

Dynamic text for the footer

flow_ctastringOptional

Dynamic text for the CTA button

screenstringOptional

Screen ID for the first screen of the Flow

Responses
chevron-right
200

Successful operation

application/json
successbooleanOptional
messagestringOptional
dataobjectOptional
post
/api/whatsapp/{whatsappBusinessAccount}/flows/send

Retrieve a list of Flows

get

Retrieves a list of Flows under a WhatsApp Business Account

Responses
chevron-right
200

Successful operation

application/json
get
/api/whatsapp/{whatsappBusinessAccount}/flows

Create a new Flow

post

Creates a new Flow under a WhatsApp Business Account

Body
namestringOptional

Name of the Flow

Example: Customer Support Flow
clone_flow_idstringOptional

ID of the existing Flow to clone

Example: original-flow-id
endpoint_uristringOptional

Endpoint URI for the Flow

Example: https://example.com
Responses
chevron-right
200

Flow created successfully

application/json
idstringOptional

ID of the created Flow

post
/api/whatsapp/{whatsappBusinessAccount}/flows

Delete WhatsApp Flow

delete
Path parameters
whatsappBusinessAccountintegerRequired

The ID of the WhatsApp Business Account

Query parameters
flowIdstringRequired

The ID of the flow to be deleted

Responses
chevron-right
200

Flow deleted successfully

application/json
messagestringOptionalExample: Flow deleted successfully
delete
/api/whatsapp/{whatsappBusinessAccount}/flows

Retrieve Flow Details

get

Returns detailed information about a specific Flow.

Path parameters
flowIdstringRequired

The unique ID of the Flow.

Responses
chevron-right
200

Successful Response

application/json
idstringOptional
namestringOptional
statusstringOptional
categoriesstring[]Optional
json_versionstringOptional
data_api_versionstringOptional
endpoint_uristring · nullableOptional
previewone of · nullableOptional
whatsapp_business_accountobject · nullableOptional
applicationobject · nullableOptional
health_statusone of · nullableOptional
json_contentstring[]Optional
get
/api/whatsapp/{whatsappBusinessAccount}/flows/{flowId}

Update Flow

post

Updates an existing Flow.

Path parameters
flowIdstringRequired

The unique ID of the Flow.

Body
namestringOptional

Flow name

categoriesstring[]Optional

Flow categories

endpoint_uristringOptional

Endpoint URI for the flow

Responses
chevron-right
200

Flow updated successfully

application/json
idstringOptional
namestringOptional
statusstringOptional
categoriesstring[]Optional
json_versionstringOptional
data_api_versionstringOptional
endpoint_uristring · nullableOptional
previewone of · nullableOptional
whatsapp_business_accountobject · nullableOptional
applicationobject · nullableOptional
health_statusone of · nullableOptional
json_contentstring[]Optional
post
/api/whatsapp/{whatsappBusinessAccount}/flows/{flowId}

Upload Flow JSON Asset

post

Uploads a flow JSON file to the specified flow ID. The file must be a valid JSON and the file name must match the provided name ending with .json.

Body
flow_idstringOptional

The ID of the flow to upload the JSON file to.

filestring · binaryOptional

The JSON file to upload. The file content must be valid JSON.

Responses
chevron-right
200

Uploaded Successfully.

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Uploaded Successfully
post
/api/whatsapp/{whatsappBusinessAccount}/flows/upload-flow-json

Deprecate a WhatsApp flow

post

Deprecate a WhatsApp flow by its ID

Authorizations
Path parameters
whatsappBusinessAccountstringRequired

WhatsApp Business Account ID

flowIdstringRequired

Flow ID to be deprecated

Responses
chevron-right
200

Flow deprecated successfully

application/json
messagestringOptionalExample: Flow deprecated successfully
post
/whatsapp/{whatsappBusinessAccount}/flows/{flowId}/deprecate

Last updated